Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookTasks defined per event.
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
completed_attimestamp with time zone | nullTimestamp at which the task was completed
due_attimestamp with time zoneDue date of the task
ftstsvectorlabeltextLabel of the task
notification_sent_attimestamp with time zone | nullTimestamp of the last notification sent
schedule"manual" | "arrival" | "departure"Task schedule relative to the event
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"calendar_event_id": "00000000-0000-0000-0000-000000000000",
"task_template_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:01:32.997Z",
"updated_at": "2026-03-12T07:01:32.997Z",
"completed_at": "2026-03-12T07:01:32.997Z",
"due_at": "2026-03-12T07:01:32.997Z",
"label": "",
"notification_sent_at": "2026-03-12T07:01:32.997Z",
"schedule": "arrival"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
completed_atFilter<timestamp with time zone | null>Timestamp at which the task was completed
due_atFilter<timestamp with time zone>Due date of the task
ftsFilter<tsvector>labelFilter<text>Label of the task
notification_sent_atFilter<timestamp with time zone | null>Timestamp of the last notification sent
scheduleFilter<"manual" | "arrival" | "departure">Task schedule relative to the event
200A list of tasks with the selected columns
206Partial Content
GET /taskscurl -X GET "https://api.bookingmood.com/v1/tasks?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Task> | Array<Partial<Task>>201The newly created tasks with the selected columns
POST /taskscurl -X POST "https://api.bookingmood.com/v1/tasks" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
completed_atFilter<timestamp with time zone | null>Timestamp at which the task was completed
due_atFilter<timestamp with time zone>Due date of the task
ftsFilter<tsvector>labelFilter<text>Label of the task
notification_sent_atFilter<timestamp with time zone | null>Timestamp of the last notification sent
scheduleFilter<"manual" | "arrival" | "departure">Task schedule relative to the event
204The deleted tasks with the selected columns
DELETE /taskscurl -X DELETE "https://api.bookingmood.com/v1/tasks" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
completed_atFilter<timestamp with time zone | null>Timestamp at which the task was completed
due_atFilter<timestamp with time zone>Due date of the task
ftsFilter<tsvector>labelFilter<text>Label of the task
notification_sent_atFilter<timestamp with time zone | null>Timestamp of the last notification sent
scheduleFilter<"manual" | "arrival" | "departure">Task schedule relative to the event
Partial<Task>204The updated tasks with the selected columns
PATCH /taskscurl -X PATCH "https://api.bookingmood.com/v1/tasks" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'